# Color_Field from image

Automatically fill a color_field field with the dominant image field from the 
same entity.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/color_field_from_image).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/color_field_from_image).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers
- Supporting organizations

## Requirements

The [color_field](https://www.drupal.org/project/color_field) module needs to 
be installed.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

Add a color_field type field to any entity which already have an image field.

During field configuration enable the "Color_field from image" behavior and 
select the relevant image field.

Next time an entity is saved the color_field will be updated with the dominant 
color from the image file.


## Maintainers

- Olivier Pierre - [opi](https://www.drupal.org/u/opi)

Thank to [Phil Wolstenholme](https://www.drupal.org/u/phil-wolstenholme) for 
his work on [color_thief module](https://www.drupal.org/project/color_thief) 
as a great inspiration source.

## Supporting organizations

Developpement paid by [Superchi Architectes](https://www.superchi.fr) and 
[DeuxPointDeux design studio](http://deuxpointdeux.com/).
